Package org.apache.sling.junit.jupiter.osgi.impl

# Class AbstractTypeBasedParameterResolver

java.lang.Object
org.apache.sling.junit.jupiter.osgi.impl.AbstractTypeBasedParameterResolver

All Implemented Interfaces:
  `org.junit.jupiter.api.extension.Extension`, `org.junit.jupiter.api.extension.ParameterResolver`, `org.junit.jupiter.api.extension.TestInstantiationAwareExtension`

Direct Known Subclasses:
  `TypeBasedParameterResolver`

public abstract class AbstractTypeBasedParameterResolver extends Object implements org.junit.jupiter.api.extension.ParameterResolver
Abstract `ParameterResolver` class that resolves any type-arguments in the parameter's type to their actual type and provides this `resolvedParameterType` to the abstract methods `supportsParameter(ParameterContext, ExtensionContext, Type)` and `resolveParameter(ParameterContext, ExtensionContext, Type)`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.junit.jupiter.api.extension.TestInstantiationAwareExtension

`org.junit.jupiter.api.extension.TestInstantiationAwareExtension.ExtensionContextScope`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTypeBasedParameterResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Object`
`resolveParameter(@NotNull org.junit.jupiter.api.extension.ParameterContext parameterContext, @NotNull org.junit.jupiter.api.extension.ExtensionContext extensionContext, @NotNull Type resolvedParameterType)`
`final Object`
`resolveParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)`
`protected abstract boolean`
`supportsParameter(@NotNull org.junit.jupiter.api.extension.ParameterContext parameterContext, @NotNull org.junit.jupiter.api.extension.ExtensionContext extensionContext, @NotNull Type resolvedParameterType)`
`final boolean`
`supportsParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.junit.jupiter.api.extension.TestInstantiationAwareExtension

`getTestInstantiationExtensionContextScope`

## Constructor Details

### AbstractTypeBasedParameterResolver

public AbstractTypeBasedParameterResolver()

## Method Details

### supportsParameter

protected abstract boolean supportsParameter(@NotNull @NotNull org.junit.jupiter.api.extension.ParameterContext parameterContext, @NotNull @NotNull org.junit.jupiter.api.extension.ExtensionContext extensionContext, @NotNull @NotNull Type resolvedParameterType)

### resolveParameter

protected abstract Object resolveParameter(@NotNull @NotNull org.junit.jupiter.api.extension.ParameterContext parameterContext, @NotNull @NotNull org.junit.jupiter.api.extension.ExtensionContext extensionContext, @NotNull @NotNull Type resolvedParameterType)

### supportsParameter

public final boolean supportsParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)

Specified by:
  `supportsParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`

### resolveParameter

public final Object resolveParameter(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)

Specified by:
  `resolveParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`